# Update an activity

`POST https://backend.estactics.com/api/activities/update`

Changes the text of an activity, or pins it.

Authentication: `Authorization: Bearer YOUR_API_KEY`. Required permission: `clients.MANAGE`.

## Body parameters

- `id` (integer, required): ID of the activity.
- `message` (string): The note text.
- `favorite` (boolean): True when the activity is pinned.

## Example request body

```json
{
  "id": 588,
  "favorite": true
}
```

## Example response

```json
{
  "success": true,
  "data": [
    {
      "id": 588
    }
  ]
}
```
